.shadow {
  position: relative;

  &--black {

    &:before {
      background: url('/img/shadow-1.svg') repeat transparent;
    }
  }

  &--brown {

    &:before {
      background: url('/img/shadow-2.svg') repeat transparent;
    }
  }

  &--light-left {

    &:before {
      position: absolute;
      top: 50%;
      left: calc(-200% + 59px);
      width: 200%;
      height: 1px;
      content: '';
      background-color: $color-shadow-light;
      transform: translateY(-50%);

      @include media-breakpoint-down(lg) {
        content: unset;
      }
    }
  }

  &--light-right {

    &:before {
      position: absolute;
      top: 50%;
      right: calc(-200% + 100px);
      width: 200%;
      height: 1px;
      content: '';
      background-color: $color-shadow-light;
      transform: translateY(-50%);

      @include media-breakpoint-down(lg) {
        content: unset;
      }
    }
  }

  &--strong-left {

    &:before {
      position: absolute;
      top: 50%;
      left: calc(-200% + 257px);
      width: 200%;
      height: 1px;
      content: '';
      background-color: $border-color-1;
      transform: translateY(-50%);
    }
  }

  &--1 {

    &:before {
      position: absolute;
      top: 15px;
      left: calc(-200% - 24px);
      width: 200%;
      height: 109px;
      content: '';
    }

    @include media-breakpoint-down(lg) {
      content: unset;
    }

    &.phone-visible {
      &:before {
        @include media-breakpoint-down(lg) {
          left: calc(-200% + 23px);
          top: 50%;
          transform: translateY(-50%);
        }
      }
    }
  }

  &--2 {

    &:before {
      position: absolute;
      top: 50%;
      left: calc(-200% + 70px);
      width: 200%;
      height: 109px;
      content: '';
      transform: translateY(-50%);
    }

    &.h2 {
      margin-bottom: 60px;

      &:before {
        @include media-breakpoint-down(lg) {
          left: calc(-200% + 23px);
        }
      }
    }
  }

  &--3 {

    &:before {
      position: absolute;
      top: 50%;
      right: calc(-200% + 35px);
      width: 200%;
      height: 109px;
      content: '';
      transform: translateY(-50%);
    }
  }

  &--4 {

    &:before {
      position: absolute;
      top: calc(-200% + 160px);
      left: calc(-100% + 60px);
      width: 100%;
      height: 200%;
      content: '';

      @include media-breakpoint-only(lg) {
        top: calc(-200% + 100px);
      }

      @include media-breakpoint-down(lg) {
        content: unset;
      }
    }
  }
}